All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata
Class MetadataNotChangeableException

    com.sas.iquery.metadata.MetadataNotChangeableException

All Implemented Interfaces:
  com.sas.util.LocalizableToStringInterface, java.io.Serializable

    public class MetadataNotChangeableException

Models information about why a metadata object is not changeable.

See Also:
  Serialized Form

Field Summary
`static int` | `REASON_IS_READ_ONLY` Defines that Metadata object is marked as read only.
`static int` | `REASON_IS_UNKNOWN` Defines that reason is not known

Constructor Summary
`MetadataNotChangeableException(java.lang.String msg, int reasonCode)` Deprecated. use the MessageFormatter signatures

Method Summary
`int` | `getReason()` Get the reason that the metadata is not changeable.

Methods inherited from class com.sas.iquery.IQueryServicesRuntimeException
`getMessage`

Field Detail

### REASON_IS_UNKNOWN

    public static final int REASON_IS_UNKNOWN

  Defines that reason is not known

  See Also:
    Constant Field Values

### REASON_IS_READ_ONLY

    public static final int REASON_IS_READ_ONLY

  Defines that Metadata object is marked as read only.

  See Also:
    Constant Field Values

Constructor Detail

### MetadataNotChangeableException

    public MetadataNotChangeableException(java.lang.String msg,
                                          int reasonCode)

  Deprecated. use the MessageFormatter signatures

  Constructs a `MetadataNotChangeableException` with the specified detail message and reason code.

  Parameters:
    `msg` - The detail message.
    `reasonCode` - The integer value for reason associated with this exception.

Method Detail

### getReason

    public int getReason()

  Get the reason that the metadata is not changeable.

  Returns:
    integer value for reason.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.